org.bdgenomics.adam.rdd.read

# MDTagging

#### case class MDTagging(reads: RDD[AlignmentRecord], referenceFile: ReferenceFile, partitionSize: Long = 1000000, overwriteExistingTags: Boolean = false, validationStringency: ValidationStringency = ...) extends Logging with Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, Logging, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. MDTagging
2. Serializable
3. Serializable
4. Product
5. Equals
6. Logging
7. AnyRef
8. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new MDTagging(reads: RDD[AlignmentRecord], referenceFile: ReferenceFile, partitionSize: Long = 1000000, overwriteExistingTags: Boolean = false, validationStringency: ValidationStringency = ...)

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### def addMDTagsBroadcast(): RDD[AlignmentRecord]

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

11. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

12. #### val incorrectMDTags: Accumulator[Long]

13. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

14. #### def isTraceEnabled(): Boolean

    Attributes
      protected
    Definition Classes
      Logging

15. #### def log: Logger

    Attributes
      protected
    Definition Classes
      Logging

16. #### def logDebug(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

17. #### def logDebug(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

18. #### def logError(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

19. #### def logError(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

20. #### def logInfo(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

21. #### def logInfo(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

22. #### def logName: String

    Attributes
      protected
    Definition Classes
      Logging

23. #### def logTrace(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

24. #### def logTrace(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

25. #### def logWarning(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

26. #### def logWarning(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

27. #### def maybeMDTagRead(read: AlignmentRecord, refSeq: String): AlignmentRecord

28. #### val mdTagsAdded: Accumulator[Long]

29. #### val mdTagsExtant: Accumulator[Long]

30. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

31. #### final def notify(): Unit

    Definition Classes
      AnyRef

32. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

33. #### val numUnmappedReads: Accumulator[Long]

34. #### val overwriteExistingTags: Boolean

35. #### val partitionSize: Long

36. #### val reads: RDD[AlignmentRecord]

37. #### val referenceFile: ReferenceFile

38. #### val sc: SparkContext

39. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

40. #### val taggedReads: RDD[AlignmentRecord]

41. #### val validationStringency: ValidationStringency

42. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

43. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

44. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from Logging

### Inherited from AnyRef

### Inherited from Any

### Ungrouped